- Qt 5.15
- Qt Remote Objects
- QML Types
- QtRemoteObjects QML Type
- Qt 5.15.16 Reference Documentation

# QtRemoteObjects QML Type

The QtRemoteObjects global object provides useful functions for working with remote types in QML. More...

Import Statement: | import QtRemoteObjects 5.15
Since: | Qt 5.14

- List of all members, including inherited members

## Methods

- Promise watch(QRemoteObjectPendingCall reply, int timeout)

## Detailed Description

## Method Documentation

Promise watch(QRemoteObjectPendingCall reply, int timeout = 30000)

Encapsulates the return value, represented by reply, from a replica in a JavaScript Promise. A timeout can be set with timeout. The default timeout value is 30 seconds.

     QtRemoteObjects.watch(replica.fetchDetails(identifier))
                    .then(function(value) { details = value },
                          function(error) { console.log("error fetching details:", error) })